Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messageconsumers
Class QueueReceiverImpl

    java.lang.Object
      net.sf.dropboxmq.messageconsumers.MessageConsumerImpl
          net.sf.dropboxmq.messageconsumers.QueueReceiverImpl

All Implemented Interfaces:
  MessageConsumer, QueueReceiver

    public class QueueReceiverImpl

extends MessageConsumerImpl
implements QueueReceiver

Created: 09 Oct 2005

Version:
  $Revision: 211 $, $Date: 2010-11-14 14:21:24 -0700 (Sun, 14 Nov 2010) $
Author:
  Dwayne Schultz

Constructor Summary
`QueueReceiverImpl(SessionImpl session, QueueImpl queue, String messageSelector)`

Method Summary
`Queue` | `getQueue()` Gets the `Queue` associated with this queue receiver.

Methods inherited from class net.sf.dropboxmq.messageconsumers.MessageConsumerImpl
`close, getDropbox, getMessageListener, getMessageSelector, getSubscriptionName, isDurable, receive, receive, receiveNoWait, setMessageListener, start, stop, stopMessageListener, toObjectString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.MessageConsumer
`close, getMessageListener, getMessageSelector, receive, receive, receiveNoWait, setMessageListener`

Constructor Detail

### QueueReceiverImpl

    public QueueReceiverImpl(SessionImpl session,
                             QueueImpl queue,
                             String messageSelector)
                      throws JMSException

Throws:
  `JMSException`

Method Detail

### getQueue

    public Queue getQueue()
                   throws JMSException

  Description copied from interface: `javax.jms.QueueReceiver`
  Gets the `Queue` associated with this queue receiver.

  Specified by:
    `getQueue` in interface `QueueReceiver`
  Returns:
    this receiver's `Queue`
  Throws:
    `JMSException` - if the JMS provider fails to get the queue for this queue receiver due to some internal error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD